import { jsx } from "react/jsx-runtime";
import { FileIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const File = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "File", ...props, children: /* @__PURE__ */ jsx(FileIcon, { weight: variant }) });
  }
);
File.displayName = "File";
Object.assign(File, { isGdsIcon: true });
export {
  File
};
